/*
   Draw a square annulus using a single triangle strip.

   Your traingles should be oriented counter-clockwise (CCW)
   so that your program draws a "wireframe" for the annulus.
   That way, your triangle strip can be seen clearly.

   If you want to see your triangle strip as a solid annulus,
   change the GL_CCW to GL_CW in the call to glFrontFace().
*/
#if defined _WIN32 || defined _WIN64
#  include <windows.h>
#endif

#ifdef __APPLE__
#  include <GLUT/glut.h>
#else
#  include <GL/glut.h>
#endif

/* Prototype for the display callback function */
void display( void );


int main(int argc, char** argv)
{
   /* Standard GLUT initialization */
   glutInit(&argc,argv);
   glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB); /* default, not needed */
   glutInitWindowSize(500,500);    /* 500 x 500 pixel window */
   glutInitWindowPosition(50,50);  /* place window near top left of display */
   glutCreateWindow("Exercise-1"); /* window title */
   glutDisplayFunc(display);       /* display callback invoked when window opened */

   /* Initialize OpenGL state */
   /* attributes */
   glShadeModel(GL_FLAT);          /* default is GL_SMOOTH */
   glFrontFace(GL_CCW);
   glPolygonMode(GL_FRONT, GL_LINE);
   glPolygonMode(GL_BACK, GL_FILL);

   glClearColor(1.0, 1.0, 1.0, 1.0); /* white background */
   glColor3f(1.0, 0.0, 0.0);         /* draw in red */
   /* set up viewing */
   glMatrixMode(GL_PROJECTION);
   glLoadIdentity();
   gluOrtho2D(-2.0, 2.0, -2.0, 2.0); /* viewing volume */
   glMatrixMode(GL_MODELVIEW);

   /* Enter event loop */
   glutMainLoop();

   return 0;  /* we never get here */
}//main()


/* The display() callback function */
void display( void )
{
   glClear(GL_COLOR_BUFFER_BIT);  /* clear the window */

   glBegin(GL_TRIANGLE_STRIP);
      glVertex2f( 1.5,  1.5);
      glVertex2f( 1.0,  1.0);
      glVertex2f(-1.5,  1.5);
      glVertex2f(-1.0,  1.0);
      glVertex2f(-1.5, -1.5);
      glVertex2f(-1.0, -1.0);
      glVertex2f( 1.5, -1.5);
      glVertex2f( 1.0, -1.0);
      glVertex2f( 1.5,  1.5);
      glVertex2f( 1.0,  1.0);
   glEnd();

   glFlush(); /* clear buffers */
}//display()
